﻿using Syncfusion.GridHelperClasses;
using Syncfusion.Grouping;
using Syncfusion.Windows.Forms.Grid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace GDBG
{
    public partial class Form1 : Form
    {
        DataView view;
        DataTable dataTable;
        DataCollection dataSource;
        public Form1()
        {
            //this.gridDataBoundGrid1.DataSource = null;
            InitializeComponent();

            #region DataSource

            #region binding list
            dataSource = new DataCollection();
            Random rand = new Random();
            int r = rand.Next(100);
            for (int i = 0; i < 20; i++)
            {
                dataSource.Add(new Data(r.ToString(), "Category" + r.ToString(), "Desc" + r.ToString(),DateTime.Now.AddDays(r)));
                r = rand.Next(100);
            }
            this.gridDataBoundGrid1.DataSource = dataSource;

            #endregion

            #region Data table
            dataTable = new DataTable();
            dataTable.Columns.Add("CategoryID");
            dataTable.Columns.Add("CategoryName");
            dataTable.Columns.Add("Description");
            dataTable.Columns.Add("SampleDate");
            for (int i = 0; i < 10; i++)
            {
                DataRow dataRow = dataTable.NewRow();
                dataRow[0] = r;
                dataRow[1] = "Category" + r;
                dataRow[2] = "Desc" + r;
                dataRow[3] = "data" + r;
                dataTable.Rows.Add(dataRow);
                r = rand.Next(100);
            }
            view = new DataView(dataTable);
            //this.gridDataBoundGrid1.DataSource = view;
            #endregion

            #endregion

            //this.gridDataBoundGrid1.DataSource = dataTable;
            this.gridDataBoundGrid1.EnableAddNew = false;
            this.gridBoundColumn4.StyleInfo.Format = "dd/MM/yyyy";
        }

    }
}
